<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: refactor-powertrain-matchers.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('refactor-powertrain-matchers_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">refactor-powertrain-matchers.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-matchers_8h__dep__incl.png" border="0" usemap="#refactor-powertrain-matchers_8hdep" alt=""/></div>
<map name="refactor-powertrain-matchers_8hdep" id="refactor-powertrain-matchers_8hdep">
<area shape="rect" title=" " alt="" coords="290,5,438,47"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html" title=" " alt="" coords="5,95,256,121"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="290,169,438,211"/>
<area shape="rect" href="get_decl_context_and_decls_8hpp.html" title=" " alt="" coords="330,95,542,121"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html" title=" " alt="" coords="565,95,827,121"/>
</map>
</div>
</div>
<p><a href="refactor-powertrain-matchers_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:abeef49320bf72e5beaf18752192995d8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#abeef49320bf72e5beaf18752192995d8">MatcherTranslationUnit</a>&#160;&#160;&#160;hasDeclContext(translationUnitDecl())</td></tr>
<tr class="separator:abeef49320bf72e5beaf18752192995d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaf61196b0d360dde91df3dacc4d21a4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#acaf61196b0d360dde91df3dacc4d21a4">MatcherOuterFunctionDecl</a>&#160;&#160;&#160;functionDecl(hasName(&quot;AFS_VD_Proc&quot;),isDefinition(),<a class="el" href="refactor-powertrain-matchers_8h.html#abeef49320bf72e5beaf18752192995d8">MatcherTranslationUnit</a>)</td></tr>
<tr class="separator:acaf61196b0d360dde91df3dacc4d21a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2011ec8df680f9b4910ffa42d653a2a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>&#160;&#160;&#160;compoundStmt(hasParent(<a class="el" href="refactor-powertrain-matchers_8h.html#acaf61196b0d360dde91df3dacc4d21a4">MatcherOuterFunctionDecl</a>))</td></tr>
<tr class="separator:a2011ec8df680f9b4910ffa42d653a2a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f706748ee5414fe73bdc3377fcfa3b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a3f706748ee5414fe73bdc3377fcfa3b7">MatchDevLibPhysRngChkCall</a>&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;)).bind(&quot;RngCheckFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:a3f706748ee5414fe73bdc3377fcfa3b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b85d177ee0db3b4e20197f3b0a3afd5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a4b85d177ee0db3b4e20197f3b0a3afd5">MatchDsmGetPermissionCall</a>&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DSM_GetDscPermission&quot;)).bind(&quot;DSMGetPermFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:a4b85d177ee0db3b4e20197f3b0a3afd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb79fefc09b79fd625a4969f67e163ad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#acb79fefc09b79fd625a4969f67e163ad">MatchDsmReport</a>&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DSM_DebRepCheck&quot;)).bind(&quot;DSMReportFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:acb79fefc09b79fd625a4969f67e163ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad66ae99924e5fe566d7c7683c8a63089"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#ad66ae99924e5fe566d7c7683c8a63089">MatchDsmResetDebounce</a>&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DSM_ResetDebounce&quot;)).bind(&quot;DSMResetDebounceFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:ad66ae99924e5fe566d7c7683c8a63089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e432c4e6a107bf59764c822c82f9262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a9e432c4e6a107bf59764c822c82f9262">MatchLocalVarDecl</a>&#160;&#160;&#160;varDecl(hasLocalStorage(),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:a9e432c4e6a107bf59764c822c82f9262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6abebd5d77f8d6fa7e2891b4e1e75bf8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a6abebd5d77f8d6fa7e2891b4e1e75bf8">MatchSingleGlobalRHSAssign</a>&#160;&#160;&#160;declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))),hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarDclSglGlobRHS&quot;)))</td></tr>
<tr class="separator:a6abebd5d77f8d6fa7e2891b4e1e75bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6bf3ab8460e0234fc6f66a8ee5ae977"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#ab6bf3ab8460e0234fc6f66a8ee5ae977">MatchIntegerLiteralOnRHSAssign</a>&#160;&#160;&#160;integerLiteral(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</td></tr>
<tr class="separator:ab6bf3ab8460e0234fc6f66a8ee5ae977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bd43cdb17b1530d60630118cb7d48a2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a0bd43cdb17b1530d60630118cb7d48a2">MatchFloatLiteralOnRHSAssign</a>&#160;&#160;&#160;floatLiteral(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</td></tr>
<tr class="separator:a0bd43cdb17b1530d60630118cb7d48a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a323a4d931a9f53903cc716766ae56860"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a323a4d931a9f53903cc716766ae56860">MatchSingleLocalRHSAssign</a>&#160;&#160;&#160;declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))),hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;LocalRightHandDecl&quot;))).bind(&quot;LocalRightHandRef&quot;)</td></tr>
<tr class="separator:a323a4d931a9f53903cc716766ae56860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cb28cc8593f1db3fd25796aff3e0e5c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a8cb28cc8593f1db3fd25796aff3e0e5c">MatcherLocalVarIntegerInitialization</a>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage())))),hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#ab6bf3ab8460e0234fc6f66a8ee5ae977">MatchIntegerLiteralOnRHSAssign</a>),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:a8cb28cc8593f1db3fd25796aff3e0e5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a190a1cff676f5a3e25d619fe98ca673f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a190a1cff676f5a3e25d619fe98ca673f">MatcherLocalVarFloatInitialization</a>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage())))),hasDescendant(MatchIntegerFloatOnRHSAssign),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:a190a1cff676f5a3e25d619fe98ca673f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b594dda1016adfd5ba68bc0171153fc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a5b594dda1016adfd5ba68bc0171153fc">MatcherLocalRHSonGlobalLHSAssign</a>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;ProcSignalOutput&quot;))).bind(&quot;GlobalLeftHandHook&quot;)),hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#a323a4d931a9f53903cc716766ae56860">MatchSingleLocalRHSAssign</a>),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;SingleLocalVarOnRHS&quot;)</td></tr>
<tr class="separator:a5b594dda1016adfd5ba68bc0171153fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c135af170a19ab8e68d09b16ea82119"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a0c135af170a19ab8e68d09b16ea82119">MatcherGlobalRHSonLocalLHSAssign</a>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;ProcSignalBuffer&quot;))).bind(&quot;LocalLeftHandBuffer&quot;)),hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#a6abebd5d77f8d6fa7e2891b4e1e75bf8">MatchSingleGlobalRHSAssign</a>),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;SingleGlobalVarOnRHS&quot;)</td></tr>
<tr class="separator:a0c135af170a19ab8e68d09b16ea82119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c98d9b9f7c59b850922052b97cb980d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a8c98d9b9f7c59b850922052b97cb980d">MatcherAssignLocalLHSWOLocalBuf</a>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;LocalAssignVar&quot;))).bind(&quot;RefLocalAssign&quot;)),unless(hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#a6abebd5d77f8d6fa7e2891b4e1e75bf8">MatchSingleGlobalRHSAssign</a>)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;LocalAssign&quot;)</td></tr>
<tr class="separator:a8c98d9b9f7c59b850922052b97cb980d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa91d0e9ec15bf8f08e12a7fe0c867f1c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#aa91d0e9ec15bf8f08e12a7fe0c867f1c">MatchRHSAtAssignisDeclRef</a>&#160;&#160;&#160;declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</td></tr>
<tr class="separator:aa91d0e9ec15bf8f08e12a7fe0c867f1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdbbef47a5df1b6d52cedac1ecb5ee04"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#abdbbef47a5df1b6d52cedac1ecb5ee04">MatchAllGlobalValues</a>&#160;&#160;&#160;declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;GlobalDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:abdbbef47a5df1b6d52cedac1ecb5ee04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa55130e53d9cfe738436f6e0f3f1f73a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#aa55130e53d9cfe738436f6e0f3f1f73a">MatcherGlobalLHSAssign</a>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;GlobalLHSDecl&quot;))).bind(&quot;GlobalVarRef&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>),unless(hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#aa91d0e9ec15bf8f08e12a7fe0c867f1c">MatchRHSAtAssignisDeclRef</a>))).bind(&quot;AssignGlobalVar&quot;)</td></tr>
<tr class="separator:aa55130e53d9cfe738436f6e0f3f1f73a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09ae49942dfa17ab9a24dd98838971a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#af09ae49942dfa17ab9a24dd98838971a">MatchReturnValueByPointer</a>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(parmVarDecl(hasType(pointerType())).bind(&quot;ParmVarDecl&quot;))).bind(&quot;RefPtrVar&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;PointerAssign&quot;)</td></tr>
<tr class="separator:af09ae49942dfa17ab9a24dd98838971a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b105f6c79084f028320848346c9e486"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a4b105f6c79084f028320848346c9e486">MatchCalleeWithPointer</a>&#160;&#160;&#160;callExpr(callee(functionDecl().bind(&quot;FunctionRefArgPtrOnGlob&quot;)),hasAnyArgument(unaryOperator(hasOperatorName(&quot;&amp;&quot;),hasDescendant(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarRefInFuncArg&quot;))).bind(&quot;reference&quot;)))),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:a4b105f6c79084f028320848346c9e486"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9fdadcb0159dec3983181ff74c9e401"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#ae9fdadcb0159dec3983181ff74c9e401">MatcherPhyRngChkFunctionDecl</a>&#160;&#160;&#160;functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;),isDefinition(),hasParameter(1, hasType(pointerType(pointee()))))</td></tr>
<tr class="separator:ae9fdadcb0159dec3983181ff74c9e401"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ce896bdaa2100c8a4baca4387b50766"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a5ce896bdaa2100c8a4baca4387b50766">MatchParnPhyRngChk</a>&#160;&#160;&#160;parmVarDecl(hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#ae9fdadcb0159dec3983181ff74c9e401">MatcherPhyRngChkFunctionDecl</a>),hasType(pointerType()))</td></tr>
<tr class="separator:a5ce896bdaa2100c8a4baca4387b50766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae64d70c0e49e6e195bb310e16ad6b1bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#ae64d70c0e49e6e195bb310e16ad6b1bc">MatchParnPhyRngChkRef</a>&#160;&#160;&#160;declRefExpr(hasDeclaration(parmVarDecl(hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#ae9fdadcb0159dec3983181ff74c9e401">MatcherPhyRngChkFunctionDecl</a>),hasType(pointerType()))))</td></tr>
<tr class="separator:ae64d70c0e49e6e195bb310e16ad6b1bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3963d047eaf284a3178976019d771177"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-matchers_8h.html#a3963d047eaf284a3178976019d771177">MatcherPhyRngChkCallexpr</a>&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;))),hasAnyArgument(unaryOperator(hasOperatorName(&quot;&amp;&quot;),hasDescendant(declRefExpr().bind(&quot;reference&quot;)))),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td></tr>
<tr class="separator:a3963d047eaf284a3178976019d771177"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="abdbbef47a5df1b6d52cedac1ecb5ee04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdbbef47a5df1b6d52cedac1ecb5ee04">&#9670;&nbsp;</a></span>MatchAllGlobalValues</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchAllGlobalValues&#160;&#160;&#160;declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;GlobalDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b105f6c79084f028320848346c9e486"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b105f6c79084f028320848346c9e486">&#9670;&nbsp;</a></span>MatchCalleeWithPointer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchCalleeWithPointer&#160;&#160;&#160;callExpr(callee(functionDecl().bind(&quot;FunctionRefArgPtrOnGlob&quot;)),hasAnyArgument(unaryOperator(hasOperatorName(&quot;&amp;&quot;),hasDescendant(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarRefInFuncArg&quot;))).bind(&quot;reference&quot;)))),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f706748ee5414fe73bdc3377fcfa3b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f706748ee5414fe73bdc3377fcfa3b7">&#9670;&nbsp;</a></span>MatchDevLibPhysRngChkCall</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchDevLibPhysRngChkCall&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;)).bind(&quot;RngCheckFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b85d177ee0db3b4e20197f3b0a3afd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b85d177ee0db3b4e20197f3b0a3afd5">&#9670;&nbsp;</a></span>MatchDsmGetPermissionCall</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchDsmGetPermissionCall&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DSM_GetDscPermission&quot;)).bind(&quot;DSMGetPermFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb79fefc09b79fd625a4969f67e163ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb79fefc09b79fd625a4969f67e163ad">&#9670;&nbsp;</a></span>MatchDsmReport</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchDsmReport&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DSM_DebRepCheck&quot;)).bind(&quot;DSMReportFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad66ae99924e5fe566d7c7683c8a63089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad66ae99924e5fe566d7c7683c8a63089">&#9670;&nbsp;</a></span>MatchDsmResetDebounce</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchDsmResetDebounce&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DSM_ResetDebounce&quot;)).bind(&quot;DSMResetDebounceFuncDecl&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c98d9b9f7c59b850922052b97cb980d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c98d9b9f7c59b850922052b97cb980d">&#9670;&nbsp;</a></span>MatcherAssignLocalLHSWOLocalBuf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherAssignLocalLHSWOLocalBuf&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;LocalAssignVar&quot;))).bind(&quot;RefLocalAssign&quot;)),unless(hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#a6abebd5d77f8d6fa7e2891b4e1e75bf8">MatchSingleGlobalRHSAssign</a>)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;LocalAssign&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa55130e53d9cfe738436f6e0f3f1f73a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa55130e53d9cfe738436f6e0f3f1f73a">&#9670;&nbsp;</a></span>MatcherGlobalLHSAssign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherGlobalLHSAssign&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;GlobalLHSDecl&quot;))).bind(&quot;GlobalVarRef&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>),unless(hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#aa91d0e9ec15bf8f08e12a7fe0c867f1c">MatchRHSAtAssignisDeclRef</a>))).bind(&quot;AssignGlobalVar&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c135af170a19ab8e68d09b16ea82119"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c135af170a19ab8e68d09b16ea82119">&#9670;&nbsp;</a></span>MatcherGlobalRHSonLocalLHSAssign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherGlobalRHSonLocalLHSAssign&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;ProcSignalBuffer&quot;))).bind(&quot;LocalLeftHandBuffer&quot;)),hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#a6abebd5d77f8d6fa7e2891b4e1e75bf8">MatchSingleGlobalRHSAssign</a>),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;SingleGlobalVarOnRHS&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b594dda1016adfd5ba68bc0171153fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b594dda1016adfd5ba68bc0171153fc">&#9670;&nbsp;</a></span>MatcherLocalRHSonGlobalLHSAssign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherLocalRHSonGlobalLHSAssign&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;ProcSignalOutput&quot;))).bind(&quot;GlobalLeftHandHook&quot;)),hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#a323a4d931a9f53903cc716766ae56860">MatchSingleLocalRHSAssign</a>),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;SingleLocalVarOnRHS&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a190a1cff676f5a3e25d619fe98ca673f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a190a1cff676f5a3e25d619fe98ca673f">&#9670;&nbsp;</a></span>MatcherLocalVarFloatInitialization</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherLocalVarFloatInitialization&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage())))),hasDescendant(MatchIntegerFloatOnRHSAssign),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8cb28cc8593f1db3fd25796aff3e0e5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cb28cc8593f1db3fd25796aff3e0e5c">&#9670;&nbsp;</a></span>MatcherLocalVarIntegerInitialization</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherLocalVarIntegerInitialization&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage())))),hasDescendant(<a class="el" href="refactor-powertrain-matchers_8h.html#ab6bf3ab8460e0234fc6f66a8ee5ae977">MatchIntegerLiteralOnRHSAssign</a>),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2011ec8df680f9b4910ffa42d653a2a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2011ec8df680f9b4910ffa42d653a2a3">&#9670;&nbsp;</a></span>MatcherOuterCompoundStmt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherOuterCompoundStmt&#160;&#160;&#160;compoundStmt(hasParent(<a class="el" href="refactor-powertrain-matchers_8h.html#acaf61196b0d360dde91df3dacc4d21a4">MatcherOuterFunctionDecl</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acaf61196b0d360dde91df3dacc4d21a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaf61196b0d360dde91df3dacc4d21a4">&#9670;&nbsp;</a></span>MatcherOuterFunctionDecl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherOuterFunctionDecl&#160;&#160;&#160;functionDecl(hasName(&quot;AFS_VD_Proc&quot;),isDefinition(),<a class="el" href="refactor-powertrain-matchers_8h.html#abeef49320bf72e5beaf18752192995d8">MatcherTranslationUnit</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3963d047eaf284a3178976019d771177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3963d047eaf284a3178976019d771177">&#9670;&nbsp;</a></span>MatcherPhyRngChkCallexpr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherPhyRngChkCallexpr&#160;&#160;&#160;callExpr(callee(functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;))),hasAnyArgument(unaryOperator(hasOperatorName(&quot;&amp;&quot;),hasDescendant(declRefExpr().bind(&quot;reference&quot;)))),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9fdadcb0159dec3983181ff74c9e401"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9fdadcb0159dec3983181ff74c9e401">&#9670;&nbsp;</a></span>MatcherPhyRngChkFunctionDecl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherPhyRngChkFunctionDecl&#160;&#160;&#160;functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;),isDefinition(),hasParameter(1, hasType(pointerType(pointee()))))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abeef49320bf72e5beaf18752192995d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeef49320bf72e5beaf18752192995d8">&#9670;&nbsp;</a></span>MatcherTranslationUnit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatcherTranslationUnit&#160;&#160;&#160;hasDeclContext(translationUnitDecl())</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0bd43cdb17b1530d60630118cb7d48a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bd43cdb17b1530d60630118cb7d48a2">&#9670;&nbsp;</a></span>MatchFloatLiteralOnRHSAssign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchFloatLiteralOnRHSAssign&#160;&#160;&#160;floatLiteral(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6bf3ab8460e0234fc6f66a8ee5ae977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6bf3ab8460e0234fc6f66a8ee5ae977">&#9670;&nbsp;</a></span>MatchIntegerLiteralOnRHSAssign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchIntegerLiteralOnRHSAssign&#160;&#160;&#160;integerLiteral(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e432c4e6a107bf59764c822c82f9262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e432c4e6a107bf59764c822c82f9262">&#9670;&nbsp;</a></span>MatchLocalVarDecl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchLocalVarDecl&#160;&#160;&#160;varDecl(hasLocalStorage(),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ce896bdaa2100c8a4baca4387b50766"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ce896bdaa2100c8a4baca4387b50766">&#9670;&nbsp;</a></span>MatchParnPhyRngChk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchParnPhyRngChk&#160;&#160;&#160;parmVarDecl(hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#ae9fdadcb0159dec3983181ff74c9e401">MatcherPhyRngChkFunctionDecl</a>),hasType(pointerType()))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae64d70c0e49e6e195bb310e16ad6b1bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae64d70c0e49e6e195bb310e16ad6b1bc">&#9670;&nbsp;</a></span>MatchParnPhyRngChkRef</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchParnPhyRngChkRef&#160;&#160;&#160;declRefExpr(hasDeclaration(parmVarDecl(hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#ae9fdadcb0159dec3983181ff74c9e401">MatcherPhyRngChkFunctionDecl</a>),hasType(pointerType()))))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af09ae49942dfa17ab9a24dd98838971a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af09ae49942dfa17ab9a24dd98838971a">&#9670;&nbsp;</a></span>MatchReturnValueByPointer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchReturnValueByPointer&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(parmVarDecl(hasType(pointerType())).bind(&quot;ParmVarDecl&quot;))).bind(&quot;RefPtrVar&quot;)),hasAncestor(<a class="el" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">MatcherOuterCompoundStmt</a>)).bind(&quot;PointerAssign&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa91d0e9ec15bf8f08e12a7fe0c867f1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa91d0e9ec15bf8f08e12a7fe0c867f1c">&#9670;&nbsp;</a></span>MatchRHSAtAssignisDeclRef</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchRHSAtAssignisDeclRef&#160;&#160;&#160;declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6abebd5d77f8d6fa7e2891b4e1e75bf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6abebd5d77f8d6fa7e2891b4e1e75bf8">&#9670;&nbsp;</a></span>MatchSingleGlobalRHSAssign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchSingleGlobalRHSAssign&#160;&#160;&#160;declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))),hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarDclSglGlobRHS&quot;)))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a323a4d931a9f53903cc716766ae56860"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a323a4d931a9f53903cc716766ae56860">&#9670;&nbsp;</a></span>MatchSingleLocalRHSAssign</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchSingleLocalRHSAssign&#160;&#160;&#160;declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))),hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;LocalRightHandDecl&quot;))).bind(&quot;LocalRightHandRef&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="refactor-powertrain-matchers_8h.html">refactor-powertrain-matchers.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
